"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const time_units_1 = require("./time-units");
function toSmartString(time) {
    let timestamp = 0;
    if (typeof time === 'number') {
        timestamp = time;
    }
    else {
        timestamp = time.getTime();
    }
    let now = Date.now();
    let diff = now - timestamp;
    let suffix = '';
    if (diff < 0) {
        suffix = '后';
    }
    else {
        suffix = '前';
    }
    let desc = '';
    let abs = Math.abs(diff);
    if (abs > time_units_1.DAY) {
        desc = `${Math.floor(diff / time_units_1.DAY)} 天`;
    }
    else if (abs > time_units_1.HOUR) {
        desc = `${Math.floor(diff / time_units_1.HOUR)} 小时`;
    }
    else if (abs > time_units_1.MINUTE) {
        desc = `${Math.floor(diff / time_units_1.MINUTE)} 分钟`;
    }
    else {
        desc = `${Math.floor(diff / time_units_1.SECOND)} 秒`;
    }
    return `${desc}${suffix}`;
}
exports.toSmartString = toSmartString;
//# sourceMappingURL=time-utils.js.map